View Issue Details

IDProjectCategoryView StatusLast Update
0029642LazarusLCLpublic2020-04-21 17:15
ReporterBambang Pranoto Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Summary0029642: Cannot inherite form in a new project which is not saved yet
DescriptionWhile preparing a bug report demo, I found this bug.

At IDE, when you create a new project, you cannot inherite a form. It will fail with message see screenshot:

Unable to find the class "TForm1".
It is not registered via RegisterClass and no lfm was found.
It is need by unit:
unit2.pas



Steps To Reproduce1. At IDE, create a new project:
   Project -> New Project -> Application -> Ok

2. Inherite TForm1:
   File -> New -> Inherited Project Component -> Form1/Unit1.pas
   Click OK

An error like the screenshot in the attachment will pop up.
Additional InformationIf you save the project first, the bug is gone, so it is a very minor bug.

However, there are more bugs relating to form inheritance. I will report each bug.
TagsNo tags attached.
Fixed in Revisionr63044
LazTarget-
Widgetset
Attached Files

Relationships

related to 0029643 assignedMattias Gaertner Inherit from a form name TForm<n>, where n is a digit. Inherited controls are not visible in child form. 

Activities

Bambang Pranoto

2016-02-12 13:56

reporter  

Zeljan Rikalo

2016-02-12 14:15

developer   ~0089970

Removed widgetsets, this is pure LCL problem.

Juha Manninen

2020-04-21 17:15

developer   ~0122321

Fixed, please test.

Issue History

Date Modified Username Field Change
2016-02-12 13:56 Bambang Pranoto New Issue
2016-02-12 13:56 Bambang Pranoto File Added: Screenshot from 2016-02-12 19:43:12.png
2016-02-12 14:15 Zeljan Rikalo LazTarget => -
2016-02-12 14:15 Zeljan Rikalo Widgetset QT =>
2016-02-12 14:15 Zeljan Rikalo Note Added: 0089970
2020-04-17 07:58 Juha Manninen Relationship added related to 0029643
2020-04-21 16:18 Juha Manninen Assigned To => Juha Manninen
2020-04-21 16:18 Juha Manninen Status new => assigned
2020-04-21 16:18 Juha Manninen Build 1.6RC2 => 1.6RC2
2020-04-21 17:15 Juha Manninen Status assigned => resolved
2020-04-21 17:15 Juha Manninen Resolution open => fixed
2020-04-21 17:15 Juha Manninen Fixed in Revision => r63044
2020-04-21 17:15 Juha Manninen Note Added: 0122321